#ifndef _DAHDI_TDMOX_SYSFS_H
#define _DAHDI_TDMOX_SYSFS_H

/*
	WARNING: Before editing definitions, 
	CARE about tdmox_sysfs_span & tdmox_sysfs_span[TDMOX_CHANNELS_MAX] size.
	kzalloc will probably try to allocate from cache, which, on many platforms
	limited to 131072 bytes.
*/
#define TDMOX_SPANS_MAX 32			/* Maximum SPAN's */
/* Maximim channels per SPAN. Limited in dahdi_tdmox.h */
#define TDMOX_CHANNELS_MAX	DAHDI_DYNAMIC_MAX_CHANS
#define TDMOX_CHANNELS_STRLEN	80		/* sysfs attribute data length */
#define TDMOX_ATTR_NAME_STRLEN	16	/* Attribute name length (Span) */
#define TDMOX_CHAN_NAME_STRLEN	16	/* Attribute name length (Chan) */

struct dahdi_dynamic;
struct dahdi_tdmox;

int dahdi_tdmox_sysfs_cfg_ddev(struct dahdi_tdmox *d, int span_id_sysfs);
int dahdi_tdmox_sysfs_init(void);
void dahdi_tdmox_sysfs_cleanup(void);

#endif /* _DAHDI_TDMOX_SYSFS_H */
